Summary:	Nessus libraries
Summary(pl.UTF-8):	Biblioteki Nessus
Name:		nessus-libs
Version:	2.2.11
Release:	2
License:	GPL
Group:		Networking
Vendor:		Nessus Project
# Source0:	ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/nessus-libraries-%{version}.tar.gz
Source0:	nessus-libraries-%{version}.tar.gz
# Source0-md5:	c1180bec3a7f1b78d4d881f9a73e99bc
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-libtool.patch
Patch3:		openssl.patch
URL:		http://www.nessus.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# needed to get /var/lib/nessus instead of /var/nessus
%define		_localstatedir	/var/lib

%description
Libraries for Nessus - a free, powerful, up-to-date and easy to use
remote security scanner.

%description -l pl.UTF-8
Celem projektu "Nessus" jest dostarczenie społeczności internetowej
wolnodostępnego, potężnego, aktualnego i łatwego w użyciu zdalnego
skanera bezpieczeństwa (tzn. oprogramowania, które zdalnie
przeprowadza audyt podanej sieci i sprawdza, czy źli ludzie mogą się
do niej włamać lub jej nadużyć w jakiś sposób).

Ten pakiet zawiera biblioteki Nessusa.

%package devel
Summary:	Nessus libraries development files
Summary(pl.UTF-8):	Pliki dla programistów używających Nessusa
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpcap-devel
Requires:	openssl-devel

%description devel
Header files for developing applications that use Nessus.

%description devel -l pl.UTF-8
Pliki nagłówkowe konieczne do rozwoju aplikacji używających Nessusa.

%package static
Summary:	Nessus static libraries
Summary(pl.UTF-8):	Biblioteki statyczne Nessusa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Nessus static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne Nessusa.

%prep
%setup -q -n nessus-libraries
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--disable-nessuspcap \
	--enable-cipher \
	--enable-openpty \
	--enable-bpf-sharing

%{__make} \
	CFLAGS="%{rpmcflags}" \
	LIBRESOLV="-lresolv"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/nessus

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/lib*.so.2
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_localstatedir}/nessus

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nessus-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man1/nessus-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Wed Sep 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nessus-libs.git;a=log;h=master

* Wed Sep 29 2021 Jan Rękorajski <baggins@pld-linux.org> f552dd2
- rediff patches, fix CFLAGS and libresolv linking, rel 2

* Sat Sep 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b5363d6
- up to 2.2.11 (which is ancient anyway); fix openssl 1.1 build; source url is dead

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cb910b8
- release 6 (by relup.sh)

* Thu Apr 15 2010 Jan Rękorajski <baggins@pld-linux.org> 1f13513
- rel 5
- fixed libtool usage

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c9367c4
- release 4

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 19dde44
- release 3

* Mon Sep 17 2007 Jan Rękorajski <baggins@pld-linux.org> 07edb2b
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 09f86a7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e7848db
- converted to UTF-8

* Mon Mar 27 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 7fb597e
- up to 2.2.7

* Sat Aug 13 2005 dzeus <dzeus@pld-linux.org> 1cd75ee
- up to 2.2.5

* Mon Mar 28 2005 Adam Gołębiowski <adamg@pld-linux.org> 3642770
- updated to 2.2.4

* Sun Feb 20 2005 Adam Gołębiowski <adamg@pld-linux.org> 6ff103a
- updated to 2.2.3

* Tue Feb 08 2005 Jakub Bogusz <qboosh@pld-linux.org> 49cab2e
- updated to 2.2.2a

* Sat Sep 25 2004 domelu <domelu@pld-linux.org> 760cb87
- updated to 2.0.12 && removed SECURITY note

* Tue Aug 10 2004 Paweł Gołaszewski <blues@pld-linux.org> 975e05e
- SECURITY note

* Fri Apr 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 65e8333
- updated nolibs patch to fix libresolv issue on amd64; release 2

* Fri Apr 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 8e0f5d7
- amd64 fix

* Sun Mar 28 2004 Jakub Bogusz <qboosh@pld-linux.org> badff6c
- updated to 2.0.10a, added link patch

* Sun Mar 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 972e865
- link libnessus with used libs (libpcap, openssl)

